Visa Developer Community

Highlighted
Regular Visitor

Woocommerce cybersource payment gateway

Hi, I just purchased a plugin from woocommerce for cybersource payment gateway and getting the following error while testing the checkout process

Response
code: 400
message: [400] Error connecting to the API (https://apitest.cybersource.com/pts/v2/payments/)
headers: Array
(
[0] => HTTP/1.1 400 Bad Request
[Content-Type] => application/json
[Content-Length] => 170
[X-Cnection] => close
[x-response-time] => 435ms
[Strict-Transport-Security] => max-age=31536000
[v-c-correlation-id] => 57d052a7-21fc-40b3-878c-1041a552e334
)
body: {"submitTimeUtc":"2020-07-16T18:21:38Z","status":"INVALID_REQUEST","reason":"INVALID_DATA","message":"Declined - One or more fields in the request contains invalid data"}

4 REPLIES 4
Highlighted
Visa Dev Moderator

Re: Woocommerce cybersource payment gateway

Hello @Saisuthan

 

I am working on the technical issue you reported with our product team, i will keep you posted. 

 

Thank you, 

Vaibhav

Was your question answered? Don't forget to click on "Accept as Solution" to help other devs find the answer to the same question.
Highlighted
Regular Visitor

Re: Woocommerce cybersource payment gateway

Thank you 
Problem solved! that was a card error.

Highlighted
Visa Dev Moderator

Re: Woocommerce cybersource payment gateway

Hello @Saisuthan

 

Thanks for the update. 

 

Thank you, 

Vaibhav

Was your question answered? Don't forget to click on "Accept as Solution" to help other devs find the answer to the same question.
Highlighted
Visa Dev Moderator

Re: Woocommerce cybersource payment gateway

Hello @Saisuthan

 

For future reference, you can also login to CyberSource Business Center to understand the details of the error.

 

Sandbox: https://ebctest.cybersource.com/ebc2/

Prod: https://ebc.cybersource.com/ebc2/

 

Thank you, 

Vaibhav

Was your question answered? Don't forget to click on "Accept as Solution" to help other devs find the answer to the same question.